# Abbildung 30 (Mafobuch, Normalverteilung)
library(ggrepel); library(msos); setwd("C:/Users/Alpha/Desktop/R")

# Normalverteilung 
pdf(file="pdf/Abb45.pdf",width=11.7/2.54, height=5/2.54)
x = seq(-3.5, 3.5, length=7000); y=0.4+dnorm(x,0,1); z=0.4
d=as.data.frame(cbind(x,y,z))
l=0.25
ggplot(d,aes(x=x)) + 
  geom_line(aes(y=y),size=l) + geom_line(aes(y=z),size=l) + 
  geom_segment(aes(x=x[ 500],y=0.39,xend=x[ 500],yend=y[ 500]),linetype="longdash",size=l)+
  geom_segment(aes(x=x[1500],y=0.39,xend=x[1500],yend=y[1500]),linetype="longdash",size=l)+
  geom_segment(aes(x=x[2500],y=0.39,xend=x[2500],yend=y[2500]),linetype="longdash",size=l)+
  geom_segment(aes(x=x[3500],y=0.39,xend=x[3500],yend=y[3500]),linetype="longdash",size=l)+
  geom_segment(aes(x=x[4500],y=0.39,xend=x[4500],yend=y[4500]),linetype="longdash",size=l)+
  geom_segment(aes(x=x[5500],y=0.39,xend=x[5500],yend=y[5500]),linetype="longdash",size=l)+
  geom_segment(aes(x=x[6500],y=0.39,xend=x[6500],yend=y[6500]),linetype="longdash",size=l)+
  annotate("text",x=x[ 500],y=0.36,size=2.5,parse=TRUE,label="mu - 3 * sigma[bar(x)]") +
  annotate("text",x=x[1500],y=0.36,size=2.5,parse=TRUE,label="mu - 2 * sigma[bar(x)]") +
  annotate("text",x=x[2500],y=0.36,size=2.5,parse=TRUE,label="mu - sigma[bar(x)]") +
  annotate("text",x=x[3500],y=0.36,size=2.5,parse=TRUE,label="mu") +
  annotate("text",x=x[4500],y=0.36,size=2.5,parse=TRUE,label="mu + sigma[bar(x)]") +
  annotate("text",x=x[5500],y=0.36,size=2.5,parse=TRUE,label="mu + 2 * sigma[bar(x)]") +
  annotate("text",x=x[6500],y=0.36,size=2.5,parse=TRUE,label="mu + 3 * sigma[bar(x)]") +
  annotate("text",x=x[3500],y=0.30,size=2.5,parse=FALSE,label="68,3%") +
  geom_segment(aes(x=-1,y=0.28,xend=1,yend=0.28),linetype="solid",size=l)+
  geom_segment(aes(x=-1,y=0.28,xend=-1,yend=0.32),linetype="solid",size=l)+
  geom_segment(aes(x=1,y=0.28,xend=1,yend=0.32),linetype="solid",size=l)+
  annotate("text",x=x[3500],y=0.24,size=2.5,parse=FALSE,label="95,5%") +
  geom_segment(aes(x=-2,y=0.22,xend=2,yend=0.22),linetype="solid",size=l)+
  geom_segment(aes(x=-2,y=0.22,xend=-2,yend=0.26),linetype="solid",size=l)+
  geom_segment(aes(x=2,y=0.22,xend=2,yend=0.26),linetype="solid",size=l)+
  annotate("text",x=x[3500],y=0.18,size=2.5,parse=FALSE,label="99,7%") +
  geom_segment(aes(x=-3,y=0.16,xend=3,yend=0.16),linetype="solid",size=l)+
  geom_segment(aes(x=-3,y=0.16,xend=-3,yend=0.20),linetype="solid",size=l)+
  geom_segment(aes(x=3,y=0.16,xend=3,yend=0.20),linetype="solid",size=l)+
  theme_classic(base_size = 9) + 
  theme(axis.line=element_blank(),
        axis.text.x=element_blank(),
        axis.text.y=element_blank(),
        axis.ticks=element_blank(),
        axis.title.x=element_blank(),
        axis.title.y=element_blank(),legend.position="none",
        panel.background=element_blank(),panel.border=element_blank(),panel.grid.major=element_blank(),
        panel.grid.minor=element_blank(),plot.background=element_blank()) 
  dev.off() 
