# Gesamter R-Code Buch Marktforschung 

# Kapitel 7.2.1 Tabellarische und graphische Darstellung 
library(ggrepel); library(msos); setwd("C:/Users/Alpha/Desktop/R")
Data=read.csv("Beispiel1.csv",header=TRUE,sep=";",dec=",")
n=dim(Data)[1]

Data1=cbind(as.data.frame(table(Data$Haushaltsgre),responseName = "Freq"),
as.data.frame(cumsum(table(Data$Haushaltsgre)),responseName = "Freq"))
names(Data1)=c("Haushaltsgre","Freq","CumFreq");  
Data1$AFreq=Data1$Freq
Data1$ACumFreq=Data1$CumFreq
Data1$Freq=Data1$Freq/n*100
Data1$CumFreq=Data1$CumFreq/n*100; Data1s=Data1; Data1
Data2=Data1[,c(1,3)]; Data2
names(Data2)=c("x","y"); Data2$x=as.numeric(Data2$x)-1 
Data3=Data2[1:1,]; Data3[2,1]=4.5; Data3[2,2]=100; Data2=rbind(Data2,Data3)
Data3=Data2; Data3$x=Data3$x+1; Data2=rbind(Data2,Data3)
Data2=Data2[order(Data2$y),]; Data2

pdf(file="pdf/Abb54.pdf",width=11.7/2.54, height=4.5/2.54)
ggplot(data=Data1,aes(x=Haushaltsgre,y=Freq)) +
  geom_bar(colour="black",size=0.25,stat="identity",width=0.9,fill="grey") +
  theme_classic(base_size = 9) +
  theme(axis.line.y=element_line(color='black',size=0.25))+
  theme(axis.line.x=element_line(color='black',size=0.25))+
  theme(axis.ticks=element_line(color='black',size=0.25))+ 
  scale_y_continuous(breaks=seq(0,40,by=10),limits=c(0,41),expand=c(0,0))+
  xlab("Haushaltsgre")+ylab("Relative Hufigkeit in %") 
dev.off()
pdf(file="pdf/Abb55.pdf",width=11.7/2.54, height=5.7/2.54)
ggplot(data=Data2,aes(x=x,y=y)) +
  geom_line(size=0.25)+
  geom_segment(aes(x=0,y=0,xend=0,yend=Data1s$CumFreq[1]),linetype="longdash",size=0.25)+
  geom_segment(aes(x=1,y=0,xend=1,yend=Data1s$CumFreq[2]),linetype="longdash",size=0.25)+
  geom_segment(aes(x=2,y=0,xend=2,yend=Data1s$CumFreq[3]),linetype="longdash",size=0.25)+
  geom_segment(aes(x=3,y=0,xend=3,yend=Data1s$CumFreq[4]),linetype="longdash",size=0.25)+
  geom_segment(aes(x=4,y=0,xend=4,yend=Data1s$CumFreq[5]),linetype="longdash",size=0.25)+
  theme_classic(base_size=9) +
  labs(title="",x="Haushaltsgre",y="Relative Summenhufigkeit in %") +
  theme(axis.line.y=element_line(color='black',size=0.25))+
  theme(axis.line.x=element_line(color='black',size=0.25))+
  theme(axis.ticks=element_line(color='black',size=0.25))+ 
  scale_x_continuous(breaks=seq(0,4,by=1),limits=c(0,4.5),expand=c(0,0))+
  scale_y_continuous(breaks=seq(0,100,by=25),limits=c(0,101),expand=c(0,0))
dev.off()

Umsatz=round((Data$Umsatz+12.4)/25)*25; table(Umsatz)
Data1=cbind(as.data.frame(table(Umsatz),responseName = "Freq"),
    as.data.frame(cumsum(table(Umsatz)),responseName = "Freq"))
names(Data1)=c("Umsatz","Freq","CumFreq");  
Data1$AFreq=Data1$Freq
Data1$ACumFreq=Data1$CumFreq
Data1$Freq=Data1$Freq/n*100
Data1$CumFreq=Data1$CumFreq/n*100
Data2=Data1[,c(1,3)]; Data2$Umsatz=1:6; 
Data2$Umsatz=25*Data2$Umsatz; names(Data2)=c("x","y") 
Data3=Data2[1:1,]; Data3[1,1]=0; Data3[1,2]=0; Data2=rbind(Data2,Data3)
Data2=Data2[order(Data2$y),]; Data2
Data1$Umsatz=c("Bis 25", ">25 bis 50", ">50 bis 75",
               ">75 bis 100", ">100 bis 125", ">125 bis 150")
Data1$Nummer=1:6
pdf(file="pdf/Abb57.pdf",width=11.7/2.54, height=4.5/2.54)
ggplot(data=Data1,aes(x=reorder(x=Umsatz,Nummer),y=Freq)) +
  geom_bar(colour="black",size=0.25,stat="identity",width=0.9,fill="grey") +
  geom_line(group=1,linetype="longdash",size=0.25) +
  theme_classic(base_size = 9) +
  theme(axis.line.y=element_line(color='black',size=0.25))+
  theme(axis.line.x=element_line(color='black',size=0.25))+
  theme(axis.ticks=element_line(color='black',size=0.25))+ 
  scale_y_continuous(breaks=seq(0,40,by=10),limits=c(0,41),expand=c(0,0))+
  xlab("Umsatz (in  pro Monat)")+ylab("Relative Hufigkeit in %") 
dev.off()

xx=25*(50-22.222)/(52.778-22.222)+25
pdf(file="pdf/Abb58.pdf",width=11.7/2.54, height=5.7/2.54)
ggplot(data=Data2,aes(x=x,y=y)) +
  geom_line(size=0.25)+
  geom_segment(aes(x=0,y=50,xend=xx,yend=50),linetype="longdash",size=0.25)+
  geom_segment(aes(x=xx,y=0,xend=xx,yend=50),linetype="longdash",size=0.25)+
  geom_segment(aes(x=Data2$x[1],y=0,xend=Data2$x[1],yend=Data2$y[1]),linetype="longdash",size=0.25)+
  geom_segment(aes(x=Data2$x[2],y=0,xend=Data2$x[2],yend=Data2$y[2]),linetype="longdash",size=0.25)+
  geom_segment(aes(x=Data2$x[3],y=0,xend=Data2$x[3],yend=Data2$y[3]),linetype="longdash",size=0.25)+
  geom_segment(aes(x=Data2$x[4],y=0,xend=Data2$x[4],yend=Data2$y[4]),linetype="longdash",size=0.25)+
  geom_segment(aes(x=Data2$x[5],y=0,xend=Data2$x[5],yend=Data2$y[5]),linetype="longdash",size=0.25)+
  geom_segment(aes(x=Data2$x[6],y=0,xend=Data2$x[6],yend=Data2$y[6]),linetype="longdash",size=0.25)+
  geom_segment(aes(x=Data2$x[7],y=0,xend=Data2$x[7],yend=Data2$y[7]),linetype="longdash",size=0.25)+
  theme_classic(base_size=9) +
  labs(title="",x="Umsatz (in )",y="Relative Summenhufigkeit in %") +
  theme(axis.line.y=element_line(color='black',size=0.25))+
  theme(axis.line.x=element_line(color='black',size=0.25))+
  theme(axis.ticks=element_line(color='black',size=0.25))+ 
  scale_x_continuous(breaks=seq(0,150,by=25),limits=c(0,152),expand=c(0,0))+
  scale_y_continuous(breaks=seq(0,100,by=25),limits=c(0,101),expand=c(0,0))
dev.off()
